MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025530Open CASCADE[OCCT] OCCT:Data Exchangepublic2014-11-28 10:062020-09-20 11:00
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0025530: Data Exchange - high-level API should take progress indicator
DescriptionMethods IGESCAFControl_Reader::Perform(), IGESCAFControl_Writer::Perform(), STEPCAFControl_Reader::Perform(), STEPCAFControl_Writer::Perform() do not take progress indicator as parameter, while IGESControl_Reader, STEPControl_Reader have no such method at all.

As result not trivial code have to be copied again and again in each project with import/export functionality.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0025482verifiedabv Data Exchange - Usage of progress indicator by a translation process of a STEP file into DECAF document 
related to 0025748verifiedabv Foundation Classes - Parallel version of progress indicator 

-  Notes
(0094376)
abv (manager)
2020-09-10 15:01

Patch for 0025748 is expected to provide the described parameters
(0095057)
abv (manager)
2020-09-18 22:10

Requested parameters are provided in methods Perform() of *CAFControl_*iter classes within 0025748; IGESControl_Reader and STEPControl_Reader inherit corresponding methods from XSControl_Reader

- Issue History
Date Modified Username Field Change
2014-11-28 10:06 kgv New Issue
2014-11-28 10:06 kgv Assigned To => gka
2014-11-28 10:06 kgv Relationship added related to 0025482
2016-10-26 12:16 gka Target Version 7.1.0 => 7.2.0
2017-07-27 09:33 abv Target Version 7.2.0 => 7.4.0
2019-09-04 12:58 abv Target Version 7.4.0 => 7.5.0
2020-09-10 15:00 abv Relationship added related to 0025748
2020-09-10 15:01 abv Note Added: 0094376
2020-09-11 17:21 gka Target Version 7.5.0 => 7.6.0*
2020-09-18 22:10 abv Note Added: 0095057
2020-09-18 22:10 abv Status new => resolved
2020-09-18 22:10 abv Target Version 7.6.0* => 7.5.0
2020-09-18 22:11 abv Assigned To gka => bugmaster
2020-09-18 22:11 abv Status resolved => reviewed
2020-09-18 22:11 abv Status reviewed => verified
2020-09-18 22:11 abv Resolution open => fixed
2020-09-20 11:00 bugmaster Test case number => Not required


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker